English Firmware for 70Mai A500s

I copied firmware 1.0.17ww into SD card and powered on the camera, it automatically detects the firmware and applies the file.
 
I have a 70mai dash cam pro A500s and have Chinese language and located out of China and cannot connect to the Mobile as well, please help in changing the firmware to English firmware, however, my version is 1.1.17 as attached
 

Attachments

  • 20231003_120702.jpg
    20231003_120702.jpg
    487.3 KB · Views: 2
For WW version A500s (70mai Dash Cam Pro Plus+)
[not A500]
Version: 1.0.2ww
View attachment 56220
Download:


How to:
Unpack the archive. Firmware from the archive "FW96580A.bin " copy to the microsd in the root of the memory card and insert it into the recorder when it is turned off. Next, insert the power and DO NOT press any buttons, and wait for 30-40 seconds. During the update, there will be no messages on the screen about the update, only the LED will light up blue and then red.
if we not used existing SD Card with "root directory" , How to flash it with new Firmware . Please
 
if we not used existing SD Card with "root directory" , How to flash it with new Firmware . Please
No way. What is the problem with copying a file to a memory card?
 
Hi @lisabon_Q3
I got a 70mai a500s pro plus chinese version and I downloaded this global version but the app says "wrong region, contact your seller."
Is this issue a known one? Thanks.

Also, I recently realised that my SD card is not being emptied automatically and it fills up pretty fast too.

this is my firmware:
No way. What is the problem with copying a file to a memory card?
 
app says "wrong region, contact your seller."
Which version of the app informs you about this?
If you have installed firmware 1.0.17ww on the Chinese version, then you need to use the 70mai international app from the app store.
 
@lisabon_Q3 my device was chinese at first then I downloaded 1.0.17ww, the app is 70mai app from google play and it is currently in version 3.4.3. Thank you
Which version of the app informs you about this?
If you have installed firmware 1.0.17ww on the Chinese version, then you need to use the 70mai international app from the app store.
 
@lisabon_Q3 my device was chinese at first then I downloaded 1.0.17ww, the app is 70mai app from google play and it is currently in version 3.4.3. Thank you
You have the Chinese version of the 70mai app (v.3.4.3) . To work with A500s with international firmware 1.0.17ww, an international application 70mai is required (v. 3.5.5).
 
@lisabon_Q3 my device was chinese at first then I downloaded 1.0.17ww, the app is 70mai app from google play and it is currently in version 3.4.3. Thank you
@lisabon_Q3 thanks for the swift reply! I downloaded the apk but I still get this error:

I wonder if I should reformat my device just in case I got the wrong firmware
 

Attachments

  • Screenshot_20240214_151805_70mai.jpg
    Screenshot_20240214_151805_70mai.jpg
    60.3 KB · Views: 4
@lisabon_Q3 Thank you for all the help, my version was 1.0.2ww not 1.0.17 so that was the issue. I got it all sorted out now after a while. Thank you once again.
@lisabon_Q3 thanks for the swift reply! I downloaded the apk but I still get this error:

I wonder if I should reformat my device just in case I got the wrong firmware
 
Back
Top